#!/bin/bash
trap "exit" INT TERM ERR
trap "killall hugo && killall tailwindcss" EXIT

hugo server --noHTTPCache &
./tailwindcss -i assets/css/styles.css -o assets/css/compiled/output.css --watch

wait

echo "Hugo and Tailwind running"
